Bug 255926 - textproc/py-markupsafe: update to 2.0.0
Summary: textproc/py-markupsafe: update to 2.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kevin Bowling
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-16 15:16 UTC by vidwer+fbsdbugs
Modified: 2021-09-11 20:31 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
inline diff (1000 bytes, text/plain)
2021-05-16 15:16 UTC, vidwer+fbsdbugs
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description vidwer+fbsdbugs 2021-05-16 15:16:58 UTC
Created attachment 224997 [details]
inline diff
Comment 1 Po-Chuan Hsieh freebsd_committer 2021-05-16 15:48:01 UTC
textproc/py-markupsafe 2.0.0 drops Python 2.7 support which is required by devel/py-Jinja2@py27. That means we cannot update this port to 2.0.0 unless devel/py-Jinja2 drops py27 flavor.
Comment 2 vidwer+fbsdbugs 2021-05-16 22:04:10 UTC
All I did was bump PORTVERSION while leaving devel/py-Jinja2/Makefile untouched.

Since I'm rather new to updating a port, can you assist with handling Python 2.7?
Comment 3 Po-Chuan Hsieh freebsd_committer 2021-06-05 13:05:36 UTC
(In reply to vidwer+fbsdbugs from comment #2)

This patch (attachment 224997 [details]) is incomplete.
MarkupSafe 2.0.0+ requires Python 3.6+.
You have to change USES=python:2.7+ to USES=python:3.6+.

devel/py-Jinja2 supports Python 2.7 (USES=python:2.7+) for now.
That means devel/py-Jinja2@py27 is broken if we update textproc/py-markupsafe to 2.0.0.

That's why I did not update this port to 2.0.0.

You could try:
cd /usr/ports/devel/py-Jinja2 && make FLAVOR=py27
Comment 4 commit-hook freebsd_committer 2021-09-11 20:13:10 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=67b637822a5602e343d3701f628f6a181ae4ce21

commit 67b637822a5602e343d3701f628f6a181ae4ce21
Author:     Kevin Bowling <kbowling@FreeBSD.org>
AuthorDate: 2021-09-11 20:08:13 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-09-11 20:12:05 +0000

    textproc/py-markupsafe: Update to 2.0.1

    PR:             255926, 258435
    Reported by:    vidwer+fbsdbugs@gmail.com, cmt, adridg

 textproc/py-markupsafe/Makefile | 5 ++---
 textproc/py-markupsafe/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 6 deletions(-)
Comment 5 Kevin Bowling freebsd_committer 2021-09-11 20:31:39 UTC
Committed an update as breakfix for Jinja2 3.0.0 which was breaking a large number of high cardinality builds.